<?php
namespace WebshopTest\Options;

use Ak\Test\Orm\ORMTestTrait;
use Webshop\Options\ConfigProvider;

/**
 * Class AbstractTestCase
 *
 * @package WebshopTest\Options
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-options
 */
abstract class AbstractTestCase extends \Ak\Test\AbstractTestCase
{
    use ORMTestTrait;

    protected array $providers = [
        \Catequil\Db\ConfigProvider::class,
        ConfigProvider::class,
        TestConfigProvider::class,
    ];

    protected function setUp(): void
    {
        parent::setUp();
        $this->setUpOrm();
        $this->createSchema();
    }
}
